# BuildTaxContentFileForLocation

Build a tax content file for a single location

`GET /api/v2/companies/{companyId}/locations/{id}/pointofsaledata`

**API:** AvaTax API
**Tag:** TaxContent
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/TaxContent/BuildTaxContentFileForLocation/

## Description

Builds a tax content file containing information useful for a retail point-of-sale solution.
            
Since tax rates may change based on decisions made by a variety of tax authorities, we recommend
that users of this tax content API download new data every day.  Many tax authorities may finalize
decisions on tax changes at unexpected times and may make changes in response to legal issues or
governmental priorities.  Any tax content downloaded for future time periods is subject to change
if tax rates or tax laws change.
            
A TaxContent file contains a matrix of the taxes that would be charged when you sell any of your
Items at any of your Locations.  To create items, use `CreateItems()`.  To create locations, use
`CreateLocations()`.  The file is built by looking up the tax profile for your location and your
item and calculating taxes for each in turn.  To include a custom `TaxCode` in this tax content
file, first create the custom tax code using `CreateTaxCodes()` to create the custom tax code,
then use `CreateItems()` to create an item that uses the custom tax code.
            
This data file can be customized for specific partner devices and usage conditions.
            
The result of this API is the file you requested in the format you requested using the `responseType` field.
            
This API builds the file on demand, and is limited to files with no more than 7500 scenarios.  To build a tax content
file for a multiple locations in a single file, please use `BuildTaxContentFile`.
            
NOTE: This API does not work for sales tax holiday scenarios.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, ComplianceAdmin, ComplianceUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, FirmAdmin, FirmUser, ProStoresOperator, Registrar, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser, TreasuryAdmin, TreasuryUser.
* This API depends on the following active services:*Required* (all):  AvaTaxPro.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID number of the company that owns this location. |
| `id` | integer | path | Yes | The ID number of the location to retrieve point-of-sale data. |
| `date` | string | query | No | The date for which point-of-sale data would be calculated (today by default) |
| `format` | string | query | No | The format of the file (JSON by default) |
| `partnerId` | string | query | No | If specified, requests a custom partner-formatted version of the file. |
| `includeJurisCodes` | boolean | query | No | When true, the file will include jurisdiction codes in the result. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/locations/{id}/pointofsaledata" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```